Index: funcs/func_channel.c
===================================================================
--- funcs/func_channel.c	(revision 410467)
+++ funcs/func_channel.c	(working copy)
@@ -213,6 +213,9 @@
 					<enum name="recvip">
 						<para>R/O Get the source IP address of the peer.</para>
 					</enum>
+					<enum name="ourip">
+						<para>R/O Get the IP address of the local socket.</para>
+					</enum>
 					<enum name="from">
 						<para>R/O Get the URI from the From: header.</para>
 					</enum>
Index: channels/sip/dialplan_functions.c
===================================================================
--- channels/sip/dialplan_functions.c	(revision 410467)
+++ channels/sip/dialplan_functions.c	(working copy)
@@ -76,6 +76,8 @@
 		ast_copy_string(buf, ast_sockaddr_isnull(&p->sa) ? "" : ast_sockaddr_stringify_addr(&p->sa), buflen);
 	} else if (!strcasecmp(args.param, "recvip")) {
 		ast_copy_string(buf, ast_sockaddr_isnull(&p->recv) ? "" : ast_sockaddr_stringify_addr(&p->recv), buflen);
+	} else if (!strcasecmp(args.param, "ourip")) {
+		ast_copy_string(buf, ast_sockaddr_isnull(&p->ourip) ? "" : ast_sockaddr_stringify_addr(&p->ourip), buflen);
 	} else if (!strcasecmp(args.param, "from")) {
 		ast_copy_string(buf, p->from, buflen);
 	} else if (!strcasecmp(args.param, "uri")) {
